{% extends 'back_office_components/base.html' %} {% block styles %} {{ super()
}} {% endblock %} {% block app_content %}
<div class="panel panel-default">
    <div class="panel-heading">
        <div class="text-right">
            <a href="{{ url_for('.create_product') }}" class="btn btn-sm btn-primary">{{ _('Add Products') }}</a>
        </div>
    </div>
    <div class="panel-body">
        <div class="row">
            <div class="col-lg-12 table-responsive">
                <table id="table_id" class="table table-striped table-bordered" style="width: 100%;">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>{{ _('Product Photo') }}</th>
                            <th>{{ _('Product Name') }}</th>
                            <th>{{ _('Product Category') }}</th>
                            <th>{{ _('Product Purchase Price') }}</th>
                            <th>{{ _('Product Selling Price') }}</th>
                            <th>{{ _('Product Stock') }}</th>
                            <th>{{ _('Product Status') }}</th>
                            <th>{{ _('Action') }}</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for product in products %}
                        <tr>
                            <td>{{ loop.index }}</td>
                            <td>
                                {% if product.product_photo_filename %}
                                <img src="{{ url_for('static', filename=product.product_photo_path) }}" width="100"
                                    alt="{{ product.product_name }}">
                                {% else %}
                                <img src="{{ url_for('static', filename='img/100x100.svg') }}" width="100"
                                    alt="{{ product.product_name }}">
                                {% endif %}
                            </td>
                            <td>{{ product.product_name }}</td>
                            <td>{{ product.category.name }}</td>
                            <td>Rp. {{ product.product_purchase_price | currency_format }}</td>
                            <td>Rp. {{ product.product_selling_price | currency_format }}</td>
                            <td>{{ product.product_stock }}</td>
                            <td>{{ product.product_status }}</td>
                            <td>
                                <a class="btn btn-xs btn-info"
                                    href="{{ url_for('.update_product', slug=product.product_slug)  }}">{{ _('Edit')
                                    }}</a>
                                <a class="btn btn-xs btn-danger" href="#{{ product.product_slug }}"
                                    data-toggle="modal">{{ _('Delete') }}</a>
                                {% if product.product_status == False %}
                                <a class="btn btn-xs btn-warning"
                                    href="{{ url_for('.activate_product', value=True, slug=product.product_slug)  }}">{{
                                    _('Activate') }}</a>
                                {% else %}
                                <a class="btn btn-xs btn-warning"
                                    href="{{url_for('.activate_product', value=False, slug=product.product_slug) }}">{{
                                    _('Deactivate') }}</a>
                                {% endif %}
                                <div class="modal fade" id="{{ product.product_slug }}" tabindex="-1" role="dialog"
                                    aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLongTitle">
                                                    {{ _('Delete confirmation') }}</h5>
                                                <button type="button" class="close" data-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                {{_('Are you sure want to delete ')}}
                                                <strong>{{ product.product_name | title }}</strong> ?
                                            </div>
                                            <div class="modal-footer">
                                                <a type="button" class="btn btn-secondary" data-dismiss="modal">
                                                    {{ _('Cancel') }}
                                                </a>
                                                <a type="button" class="btn btn-primary"
                                                    href="{{ url_for('.delete_product', slug=product.product_slug) }}">
                                                    {{ _('Delete') }}
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
{% endblock %} {% block scripts %} {{ super() }}
<script type="text/javascript">
    /* DataTables */
    $(document).ready(function () {
        var table = $("#table_id").DataTable({
            lengthChange: false,
            buttons: ["copy", "excel", "pdf", "print"],
        });
        table.buttons().container().appendTo("#table_id_wrapper .col-sm-6:eq(0)");
    });
</script>
{% endblock %}